Bug 173773 - bash completion for mock
bash completion for mock
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: FutureFeature, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-20 17:09 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-21 04:00:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bash_completion support for mock (2.12 KB, patch)
2005-11-20 17:09 EST, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2005-11-20 17:09:35 EST
Created attachment 121282 [details]
bash_completion support for mock
Comment 1 Ville Skyttä 2005-11-20 17:09:35 EST
Attached is a bash_completion snippet for mock.  Let me know if you'd like me 
to commit this.
Comment 2 Seth Vidal 2005-11-20 17:33:31 EST
why not put this in the bash completion package? It just seems like an odd place
to put it in the mock package if only in that it IMPLIES a
requirement/Suggestion of bash-completion.

Comment 3 Ville Skyttä 2005-11-20 17:43:19 EST
I originally had it in my local bash-completion package, but I'd rather have 
it in mock for a few reasons: 
- Two triggers (triggerin/triggerun) less in the bash-completion package 
- More likely to be kept up to date when mock itself is updated 
- More likely to contain the switches for the installed version of mock 
Comment 4 Seth Vidal 2005-11-20 17:49:48 EST
This seems like a slippery slope, though.

What keeps us from adding a bash completion file to EVERY cli package in extras
and core?

It just seems like a lot of clutter especially if you're not using bash completion.

Comment 5 Ville Skyttä 2005-11-20 18:31:36 EST
Okay, so we disagree, let's not waste time arguing.  A simple yes/no will do, 
and I'll deal with it accordingly. 
Comment 6 Seth Vidal 2005-11-20 19:45:55 EST
okay,

no.

It seems like the wrong place to put it, that's all.

sorry.

Comment 7 Ville Skyttä 2005-11-21 04:00:31 EST
Ok, thanks, I'll add it to bash-completion then. 
 
But I can't help wondering what do you think the various foo.d directories in 
a lot of apps are for, if not for the purpose of providing a place for other 
apps to drop their snippets in in order to integrate with something. 

Note You need to log in before you can comment on or make changes to this bug.